from pydantic import BaseModel
from typing import List


class RefAudioResponse(BaseModel):
    id: str
    name: str
    path: str
    ref_text: str
    duration_sec: float
    created_at: int


class RefAudioListResponse(BaseModel):
    items: List[RefAudioResponse]


class RenameRequest(BaseModel):
    new_name: str
